package com.ruoyi.app.model;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 入场检验对象 entrance_inspection
 * 
 * @author coede
 * @date 2025-03-19
 */
public class EntranceInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 入场批次ID */
    @Excel(name = "入场批次ID")
    private Long entranceBatchId;

    /** 精神状态,N-正常，E，异常 */
    @Excel(name = "精神状态,N-正常，E，异常")
    private String spirit;

    /** 外貌状态,N-正常，E，异常 */
    @Excel(name = "外貌状态,N-正常，E，异常")
    private String appearance;

    /** 呼吸,N-正常，E，异常 */
    @Excel(name = "呼吸,N-正常，E，异常")
    private String breathe;

    /** 代谢物,N-正常，E，异常 */
    @Excel(name = "代谢物,N-正常，E，异常")
    private String metabolite;

    /** 其他 */
    @Excel(name = "其他")
    private String otherRemark;

    /** 检疫检验信息 */
    @Excel(name = "检疫检验信息")
    private String inspectionDetail;

    /** 删除标志 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setEntranceBatchId(Long entranceBatchId) 
    {
        this.entranceBatchId = entranceBatchId;
    }

    @NotNull(message = "不存在入场信息")
    public Long getEntranceBatchId() 
    {
        return entranceBatchId;
    }

    public void setSpirit(String spirit) 
    {
        this.spirit = spirit;
    }

    public String getSpirit() 
    {
        return spirit;
    }

    public void setAppearance(String appearance) 
    {
        this.appearance = appearance;
    }

    public String getAppearance() 
    {
        return appearance;
    }

    public void setBreathe(String breathe) 
    {
        this.breathe = breathe;
    }

    public String getBreathe() 
    {
        return breathe;
    }

    public void setMetabolite(String metabolite) 
    {
        this.metabolite = metabolite;
    }

    public String getMetabolite() 
    {
        return metabolite;
    }

    public void setOtherRemark(String otherRemark) 
    {
        this.otherRemark = otherRemark;
    }

    @Size(min = 0, max = 50, message = "其他输入超出最大长度限制（50位）")
    public String getOtherRemark() 
    {
        return otherRemark;
    }

    public void setInspectionDetail(String inspectionDetail) 
    {
        this.inspectionDetail = inspectionDetail;
    }

    @NotBlank(message = "生猪检验检疫信息不能为空")
    public String getInspectionDetail() 
    {
        return inspectionDetail;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("entranceBatchId", getEntranceBatchId())
            .append("spirit", getSpirit())
            .append("appearance", getAppearance())
            .append("breathe", getBreathe())
            .append("metabolite", getMetabolite())
            .append("otherRemark", getOtherRemark())
            .append("inspectionDetail", getInspectionDetail())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
